{
  "name": "ui-kaitek",
  "private": true,
  "version": "0.0.1",
  "description": "Kaitek PWA UI",
  "main": "dist/index.cjs.js",
  "collection": "dist/collection/collection-manifest.json",
  "scripts": {
    "build": "stencil build",
    "start": "stencil build --dev --watch --serve",
    "icons": "npx tsx ./scripts/icons.ts",
    "test": "stencil test --spec --e2e",
    "test.watch": "stencil test --spec --e2e --watchAll",
    "generate": "stencil generate",
    "install:vaadin": "npm i @vaadin/accordion @vaadin/app-layout @vaadin/avatar @vaadin/avatar-group @vaadin/button @vaadin/checkbox @vaadin/checkbox-group @vaadin/combo-box @vaadin/confirm-dialog @vaadin/context-menu @vaadin/custom-field @vaadin/date-picker @vaadin/date-time-picker @vaadin/details @vaadin/dialog @vaadin/email-field @vaadin/form-layout @vaadin/grid @vaadin/horizontal-layout @vaadin/icon @vaadin/icons @vaadin/input-container @vaadin/integer-field @vaadin/item @vaadin/list-box @vaadin/vaadin-lumo-styles @vaadin/login @vaadin/menu-bar @vaadin/message-input @vaadin/message-list @vaadin/multi-select-combo-box @vaadin/notification @vaadin/number-field @vaadin/password-field @vaadin/progress-bar @vaadin/radio-group @vaadin/scroller @vaadin/select @vaadin/side-nav @vaadin/split-layout @vaadin/tabs @vaadin/tabsheet @vaadin/text-area @vaadin/text-field @vaadin/time-picker @vaadin/tooltip @vaadin/upload @vaadin/vertical-layout @vaadin/virtual-list",
    "install:vcf": "npm i @vaadin-component-factory/vcf-anchor-nav @vaadin-component-factory/vcf-auto-select-combobox @vaadin-component-factory/vcf-autocomplete @vaadin-component-factory/vcf-avatar-item @vaadin-component-factory/vcf-breadcrumb @vaadin-component-factory/vcf-chat @vaadin-component-factory/vcf-dark-mode-switch @vaadin-component-factory/vcf-enhanced-dialog @vaadin-component-factory/vcf-enhanced-rich-text-editor @vaadin-component-factory/vcf-lookup-field @vaadin-component-factory/vcf-masked-text-field @vaadin-component-factory/vcf-multiselect-combo-box @vaadin-component-factory/vcf-network @vaadin-component-factory/vcf-onboarding @vaadin-component-factory/vcf-paginator @vaadin-component-factory/vcf-pdf-viewer @vaadin-component-factory/vcf-progress-spinner @vaadin-component-factory/vcf-slider @vaadin-component-factory/vcf-spreadsheet-light @vaadin-component-factory/vcf-svg @vaadin-component-factory/vcf-toggle-button @vaadin-component-factory/vcf-tooltip",
    "remove:vcf": "npm remove @vaadin-component-factory/vcf-anchor-nav @vaadin-component-factory/vcf-auto-select-combobox @vaadin-component-factory/vcf-autocomplete @vaadin-component-factory/vcf-avatar-item @vaadin-component-factory/vcf-breadcrumb @vaadin-component-factory/vcf-chat @vaadin-component-factory/vcf-dark-mode-switch @vaadin-component-factory/vcf-enhanced-dialog @vaadin-component-factory/vcf-enhanced-rich-text-editor @vaadin-component-factory/vcf-lookup-field @vaadin-component-factory/vcf-masked-text-field @vaadin-component-factory/vcf-multiselect-combo-box @vaadin-component-factory/vcf-network @vaadin-component-factory/vcf-onboarding @vaadin-component-factory/vcf-paginator @vaadin-component-factory/vcf-pdf-viewer @vaadin-component-factory/vcf-progress-spinner @vaadin-component-factory/vcf-slider @vaadin-component-factory/vcf-spreadsheet-light @vaadin-component-factory/vcf-svg @vaadin-component-factory/vcf-toggle-button @vaadin-component-factory/vcf-tooltip"
  },
  "devDependencies": {
    "@stencil/core": "^4.23.0",
    "@stencil/sass": "^3.0.12",
    "@types/jest": "^29.5.14",
    "globby": "^14.0.2",
    "jest": "^29.6.4",
    "jest-cli": "^29.6.4",
    "npm-run-all": "^4.1.5",
    "tsx": "^4.19.2"
  },
  "license": "MIT",
  "dependencies": {
    "@mescius/activereportsjs": "^5.1.5",
    "@vaadin/accordion": "^24.6.0",
    "@vaadin/app-layout": "^24.6.0",
    "@vaadin/avatar": "^24.6.0",
    "@vaadin/avatar-group": "^24.6.0",
    "@vaadin/button": "^24.6.0",
    "@vaadin/checkbox": "^24.6.0",
    "@vaadin/checkbox-group": "^24.6.0",
    "@vaadin/combo-box": "^24.6.0",
    "@vaadin/confirm-dialog": "^24.6.0",
    "@vaadin/context-menu": "^24.6.0",
    "@vaadin/custom-field": "^24.6.0",
    "@vaadin/date-picker": "^24.6.0",
    "@vaadin/date-time-picker": "^24.6.0",
    "@vaadin/details": "^24.6.0",
    "@vaadin/dialog": "^24.6.0",
    "@vaadin/email-field": "^24.6.0",
    "@vaadin/form-layout": "^24.6.0",
    "@vaadin/grid": "^24.6.0",
    "@vaadin/horizontal-layout": "^24.6.0",
    "@vaadin/icon": "^24.6.0",
    "@vaadin/icons": "^24.6.0",
    "@vaadin/input-container": "^24.6.0",
    "@vaadin/integer-field": "^24.6.0",
    "@vaadin/item": "^24.6.0",
    "@vaadin/list-box": "^24.6.0",
    "@vaadin/login": "^24.6.0",
    "@vaadin/menu-bar": "^24.6.0",
    "@vaadin/message-input": "^24.6.0",
    "@vaadin/message-list": "^24.6.0",
    "@vaadin/multi-select-combo-box": "^24.6.0",
    "@vaadin/notification": "^24.6.0",
    "@vaadin/number-field": "^24.6.0",
    "@vaadin/password-field": "^24.6.0",
    "@vaadin/progress-bar": "^24.6.0",
    "@vaadin/radio-group": "^24.6.0",
    "@vaadin/scroller": "^24.6.0",
    "@vaadin/select": "^24.6.0",
    "@vaadin/side-nav": "^24.6.0",
    "@vaadin/split-layout": "^24.6.0",
    "@vaadin/tabs": "^24.6.0",
    "@vaadin/tabsheet": "^24.6.0",
    "@vaadin/text-area": "^24.6.0",
    "@vaadin/text-field": "^24.6.0",
    "@vaadin/time-picker": "^24.6.0",
    "@vaadin/tooltip": "^24.6.0",
    "@vaadin/upload": "^24.6.0",
    "@vaadin/vaadin-lumo-styles": "^24.6.0",
    "@vaadin/vertical-layout": "^24.6.0",
    "@vaadin/virtual-list": "^24.6.0",
    "date-fns": "^3.6.0",
    "echarts": "^5.6.0",
    "luxon": "^3.5.0",
    "ts-debounce": "^4.0.0"
  },
  "vaadin": {
    "disableUsageStatistics": true
  }
}
